This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 475304 - Firstboot crash
Firstboot crash
Status: CLOSED DUPLICATE of bug 648050
Product: Fedora
Classification: Fedora
Component: system-config-date (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 15:33 EST by Alexey Kuznetsov
Modified: 2011-06-15 04:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-15 04:30:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
firstboot-log (608 bytes, text/plain)
2008-12-08 16:34 EST, Alexey Kuznetsov
no flags Details
firstbootX.log.old (34.70 KB, text/plain)
2008-12-08 16:36 EST, Alexey Kuznetsov
no flags Details
firstbootX.log (34.38 KB, text/plain)
2008-12-08 16:37 EST, Alexey Kuznetsov
no flags Details
Backtrace (11.76 KB, text/plain)
2009-11-16 12:03 EST, Dave Malcolm
no flags Details

  None (edit)
Description Alexey Kuznetsov 2008-12-08 15:33:14 EST
On 'date and time' page check ntp server checkbox. After it press next. On 'Connection to ntp server' press cancel:

crash
Comment 1 Chris Lumens 2008-12-08 16:30:35 EST
Please attach /tmp/firstboot.* to this bug report.  Thanks.
Comment 2 Alexey Kuznetsov 2008-12-08 16:34:56 EST
Created attachment 326195 [details]
firstboot-log
Comment 3 Alexey Kuznetsov 2008-12-08 16:36:42 EST
Created attachment 326196 [details]
firstbootX.log.old
Comment 4 Alexey Kuznetsov 2008-12-08 16:37:53 EST
Created attachment 326197 [details]
firstbootX.log
Comment 5 Chris Lumens 2008-12-09 11:32:59 EST
This will be fixed in the next build of firstboot.  Thanks for the bug report.
Comment 6 Alexey Kuznetsov 2009-11-13 21:43:14 EST
the same for f12, regression?
Comment 7 Chris Lumens 2009-11-16 09:34:32 EST
Please attach the same information as requested previously.
Comment 8 Alexey Kuznetsov 2009-11-16 10:59:00 EST
here is no /tmp/first* files.
Comment 9 Alexey Kuznetsov 2009-11-16 10:59:39 EST
just run 'sudo firstboot' on your f12 machine and when firstboot asks for server time click Cancel.
Comment 10 Chris Lumens 2009-11-16 11:03:03 EST
python2: xcb_io.c:242: process_responses: Assertion `(((long) (dpy->last_request_read) - (long) (dpy->request)) <= 0)' failed.
python2: xcb_io.c:242: process_responses: Assertion `(((long) (dpy->last_request_read) - (long) (dpy->request)) <= 0)' failed.
Comment 11 Dave Malcolm 2009-11-16 11:43:00 EST
(In reply to comment #10)
> python2: xcb_io.c:242: process_responses: Assertion `(((long)
> (dpy->last_request_read) - (long) (dpy->request)) <= 0)' failed.
> python2: xcb_io.c:242: process_responses: Assertion `(((long)
> (dpy->last_request_read) - (long) (dpy->request)) <= 0)' failed.  
Do you have a full backtrace of the failure?

This looks like an assertion failure inside libX11; looks similar to bug 417821; is this a bug in Xnewt serverside?
Comment 12 Chris Lumens 2009-11-16 11:50:46 EST
No, there's nothing more to it than that.

Also there's no Xnewt involved.  I'm just running the regular desktop environment here.
Comment 13 Dave Malcolm 2009-11-16 12:03:01 EST
Created attachment 369746 [details]
Backtrace

Backtrace obtained by running
$ gdb python
(gdb) set args /usr/sbin/firstboot
(gdb) run

and hitting Cancel on the NTP connection dialog.

(This backtrace was actually obtained on an F11 laptop)
Comment 14 Dave Malcolm 2009-11-16 12:04:26 EST
Also see this message at the terminal:
Gdk-ERROR **: The program 'firstboot' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadIDChoice (invalid resource ID chosen for this connection)'.
  (Details: serial 6353 error_code 14 request_code 53 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
aborting...
python: xcb_io.c:242: process_responses: Assertion `(((long) (dpy->last_request_read) - (long) (dpy->request)) <= 0)' failed.
python: xcb_io.c:242: process_responses: Assertion `(((long) (dpy->last_request_read) - (long) (dpy->request)) <= 0)' failed.
Multiple segmentation faults occurred; can't display error dialog
Comment 15 Dave Malcolm 2009-11-16 12:12:42 EST
Frame 17 of the backtrace (last point in Python code before it calls back into libgtk) is at:
/usr/share/system-config-date/scdMainWindow.py line 180, which is a call here:
                gtk.mainloop ()
inside the apply() method
Comment 16 Dave Malcolm 2009-11-16 12:22:09 EST
and that by clicking on cancel, this code has been invoked:
    def response_cb (self, dialog, response_id, pid):
        if response_id == gtk.RESPONSE_CANCEL:
            os.kill (pid, signal.SIGINT)
        dialog.hide ()

Looks like a bad interaction somewhere between system-config-date, libX11 and libgtk perhaps triggered by killing the child process; reassigning component from "python" to "system-config-date".
Comment 17 Nils Philippsen 2010-08-10 09:42:45 EDT
Sorry for the late response.

The processes involved are:

firstboot/scdate (parent)
 `--> firstboot/scdate (child)
       `--> /sbin/service ntpd (re)start

In order to kill off the /sbin/service script, scdate simply kills off the forked child process. From the above (comments #10 ... #14), do I need to "disconnect" the child from all gtk/X11 handling? I think not, because the child doesn't do much, especially nothing that would let it interfere with gtk/X11 handling:

            (read, write) = os.pipe ()
            pid = os.fork ()

            if pid == 0:
                signal.signal (signal.SIGCHLD, signal.SIG_DFL)
                # do something slow
                os.close (read)
                time.sleep (2)
                retval = self.dateBackend.startNtpService (None)
                retval = str (retval)
                os.write (write, retval)
                os._exit (0)

Any insights why this should be kept on the system-config-date component? Does anybody see that issue still?
Comment 18 Bug Zapper 2010-11-04 07:37:48 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-12-05 02:04:39 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 20 Nils Philippsen 2010-12-06 06:23:34 EST

*** This bug has been marked as a duplicate of bug 648050 ***
Comment 21 Alexey Kuznetsov 2011-06-13 15:29:35 EDT
the bug returned on f15
Comment 22 Nils Philippsen 2011-06-15 04:30:47 EDT
Please don't reopen a bug closed as duplicate unless you think it's not actually  a duplicate. I've verified that running firstboot, then cancelling the NTP operation shows the issue and mentioned it on bug #648050.

*** This bug has been marked as a duplicate of bug 648050 ***

Note You need to log in before you can comment on or make changes to this bug.